package cn.com.ty.lift.enterprise.push.mapper;

import cn.com.ty.lift.common.model.PushUserInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  推送用户账号 Mapper 接口
 * </p>
 *
 * @author wcz
 * @since 2020-04-17
 */
public interface PushUserMapper extends BaseMapper<PushUserInfo> {

    List<PushUserInfo> listByUserIds(@Param("mtCompanyId") Long mtCompanyId, @Param("userIds") List<Long> userIds);

    PushUserInfo listByUserId(@Param("mtCompanyId") Long mtCompanyId, @Param("userId") Long userId);

    List<PushUserInfo> listByRoleCodes(@Param("mtCompanyId") Long mtCompanyId, @Param("roleCodes") List<String> roleCodes);

    List<PushUserInfo> listByRoleCode(@Param("mtCompanyId") Long mtCompanyId, @Param("roleCode") String roleCode);

    IPage<PushUserInfo> pageByMtCompany(IPage<PushUserInfo> page, @Param("mtCompanyId") Long mtCompanyId);
}
